Set
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUserOwnersV2.Set(ctx, operations.C1APIAppV2AppUserOwnersV2SetRequest{
AppID: "<id>",
UserID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SetAppUserOwnersV2Response != nil {
// handle response
}
}curl --request PUT \
--url https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/users/{user_id}/owners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"roleSlug": "<string>",
"userRefs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/users/{user_id}/owners"
payload = {
"appEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"roleSlug": "<string>",
"userRefs": [{ "id": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appEntitlementRefs: [{appId: '<string>', id: '<string>'}],
roleSlug: '<string>',
userRefs: [{id: '<string>'}]
})
};
fetch('https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/users/{user_id}/owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}App User Owner V2
Set
Set replaces all owners for a given app user and role.
PUT
/
api
/
v2
/
apps
/
{app_id}
/
users
/
{user_id}
/
owners
Set
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUserOwnersV2.Set(ctx, operations.C1APIAppV2AppUserOwnersV2SetRequest{
AppID: "<id>",
UserID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SetAppUserOwnersV2Response != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
SetAppUserOwnersV2Request is the request for setting the owners of an app user for a given role.
Response
200 - application/json
SetAppUserOwnersV2Response is the empty response for setting app user owners.
SetAppUserOwnersV2Response is the empty response for setting app user owners.
Was this page helpful?
⌘I